Description

*) enhancement: when loading data from shapefiles, the "choose input shapefile" shows

always the home folder (at least under linux) when it opens. It would be better to make

it open in the last folder used, otherwise loading many shapefiles not located near the ~ become is very frustrating.

*) feature: allow multiple load from more than one shapefile at one time

*) bug: when a shapefile is loaded into postgis the table list is not

refreshed in the database view

*) enhancement: when changing the table structure (by adding/deleting/editing

columns) of a postgis layer that is loaded in the map canvas, refreshing

the layer after the changes are applied. This already happens in qgis

when you alter the table structure using the "properties -> attributes" 

menu.

*) bug: when adding/editing a column I get always an error if I try to define

the length of the field.

*) enhancement: when adding/editing a column, when choosing a particular type, an

error is returned if the "can be null" checkbox is not selected. For

these particular types should be better to have the checkbox

automatically selected.

this would fix among the others this two bugs I have found

*) In a postgis layer if I add a column with the "postgis manager", the

attribute table is not immediately updated, as I have to reload the

layer to see the changes. This doesn't happens if the column is added

trough "Properties -> Attributes".

*) If I delete a postgis column with the "postgis manager" and the I

open the attributes table I only see "ERROR" as values. If I reload the

layer everything seems fine.

Related issues:

Related to QGIS Application - Feature request # 5113: Notes for enhancements/... Closed 2012-03-02

History

#1 - 2009-11-15 08:31 AM - Giovanni Manghi
a few things have been fixed. This is what still remains (they still are just suggestions). I made things a little more clear/detailed if compared with the ticket

description.

*) feature: allow multiple load from more than one shapefile at one time

*) In a postgis layer if I add/edit a column with the "postgis manager", the attribute table is not immediately updated, as I have to reload the layer to see the

changes. This doesn't happens if the column is added trough "Properties -> Attributes".

*) If I delete a postgis column with the "postgis manager" and the I open the attributes table I only see "ERROR" as values. If I reload the layer everything

seems fine.

*) bug: when adding/editing a column I get always an error if I try to define the length of the field. It seems that doesn't happens just with the "char" data

type.

I see that "can be null" checkbox is selected by default, nevertheless I suggest that with datatypes that "cannot be null" to make the checkbox not active to

avoid people uncheck it.

#2 - 2011-03-06 01:59 PM - Paolo Cavallini

This is not a core plugin. The report should be moved to the new additional plugin tracker when ready.

#3 - 2011-03-07 05:36 AM - Giovanni Manghi

Replying to [comment:3 pcav]:

This is not a core plugin. The report should be moved to the new additional plugin tracker when ready.

when reasy I'll do it ;) but I hope also that this plugin will become core

#4 - 2011-03-07 05:43 AM - Paolo Cavallini

It cannot for now, as it would introduce an heavy dependency (shp2pgsql and pgsql2shp, which means the whole [[PostgreSQL]]+PostGIS in Windows).

#5 - 2011-03-07 07:56 AM - Jürgen Fischer

Replying to [comment:5 pcav]:

It cannot for now, as it would introduce an heavy dependency (shp2pgsql and pgsql2shp, which means the whole [[PostgreSQL]]+PostGIS in

Windows).

Why not?  We don't include GDAL binaries either...

#6 - 2011-03-07 07:57 AM - Jürgen Fischer

Replying to [comment:6 jef]:
Replying to [comment:5 pcav]:

Why not?  We don't include GDAL binaries either...

In our repository that is.  And shp2pgsql/pgsql2shp doesn't require more than a [[PostgreSQL]] connection - just like QGIS itself.

#7 - 2011-12-16 01:58 PM - Giovanni Manghi

- Target version changed from Version 1.7.0 to Version 1.7.4

#8 - 2012-03-02 04:36 AM - Giovanni Manghi

- Crashes QGIS or corrupts data set to No

- Pull Request or Patch supplied set to No

- Affected QGIS version set to master

Martin, I filed #5113 about this issues in the DB Manager redmine subproject. If we consider that DB Manager will replace Postgis Manager than probably

we can close this ticket.

#9 - 2012-04-16 06:22 AM - Paolo Cavallini

- Target version changed from Version 1.7.4 to Version 1.8.0

#10 - 2012-05-12 04:50 AM - Alexander Bruy

- Status changed from Open to Feedback

Now DB Manager in core, so I think we can close this ticket

#11 - 2012-05-14 10:07 AM - Giovanni Manghi

- Resolution set to wontfix

- Status changed from Feedback to Closed

Alexander Bruy wrote:

Now DB Manager in core, so I think we can close this ticket

you are right
